/********************************************************************************/
/* LibOpenSI : Bibliothque de fonctions utilises par                          *
 *     OpenSI, Outils libre de gestion d'entreprise                             */
/*                                                                              */
/* The contents of this file are subject to the Mozilla Public                  */
/* License Version 1.1 (the "License"); you may not use this file               */
/* except in compliance with the License. You may obtain a copy of              */
/* the License at http://www.mozilla.org/MPL/                                   */
/*                                                                              */
/* Software distributed under the License is distributed on an "AS              */
/* IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or                   */
/* implied. See the License for the specific language governing                 */
/* rights and limitations under the License.                                    */
/*                                                                              */
/* The Initial Developer of the Original Code is Gilles Ballini                 */
/* Portions created by Neil Deakin are Copyright (C) 2003 SpeedInfo.fr S.A.R.L. */
/* All Rights Reserved.                                                         */
/*                                                                              */
/* Contributor(s):                                                              */
/********************************************************************************/

/*  version dev
*/


/*
 * Fonctions de rcupration de donnes RDF depuis le serveur OpenSI en vue de 
 * les charger dans des templates XUL.
 * @include chrome://mpllibs/content/rdfds.js
 *
 */


function nope(x){
}

function load_rdf(id, dsUrl){
  load_rdf_async(id,dsUrl,nope);
}
 
function load_rdf_async(id, dsUrl, callbackFn){

  netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
  var tmpl = document.getElementById(id);
  var dsource = new RDFDataSource(dsUrl,callbackFn);
  var datasource = dsource.getRawDataSource();
  tmpl.database.AddDataSource(datasource);
  
}
  